> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wappfy.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Star Message

> Mark or unmark message as favorite

## Description

**⚠️ This endpoint is not yet implemented.**

This endpoint will allow marking or unmarking messages as favorites (star), adding them to the important messages list on WhatsApp.

**Note:** This endpoint uses the HTTP `PUT` method, not `POST`.

## Body

```json theme={null}
{
  "sessionId": "my-session",
  "jid": "5511999999999@s.whatsapp.net",
  "messageId": "3EB0XXXXXX",
  "star": true
}
```

### Body Parameters

| Property    | Type      | Required | Description                                                                                                          |
| ----------- | --------- | -------- | -------------------------------------------------------------------------------------------------------------------- |
| `sessionId` | `string`  | ✅ Yes    | Authenticated session ID that will star the message                                                                  |
| `jid`       | `string`  | ✅ Yes    | Chat identifier (WhatsApp JID). Format: `5511999999999@s.whatsapp.net` for contacts or `120363XXXXX@g.us` for groups |
| `messageId` | `string`  | ✅ Yes    | Message ID a ser favoritada                                                                                          |
| `star`      | `boolean` | ✅ Yes    | `true` para favoritar, `false` para desfavoritar                                                                     |

<ResponseExample>
  ```json Success Response theme={null}
  {
    "success": true
  }
  ```
</ResponseExample>

## Status Codes

* `200` - Message favoritada/desfavoritada com sucesso
* `400` - Invalid parameters
* `401` - Unauthorized session
* `404` - Session not found
* `501` - Not implemented

## Usage Example

<CodeGroup>
  ```bash cURL theme={null}
  curl -X PUT https://api.wappfy.com.br/api/star \
    -H "Content-Type: application/json" \
    -d '{
      "sessionId": "my-session",
      "jid": "5511999999999@s.whatsapp.net",
      "messageId": "3EB0XXXXXX",
      "star": true
    }'
  ```

  ```javascript JavaScript theme={null}
  // Star message
  const response = await fetch('https://api.wappfy.com.br/api/star', {
    method: 'PUT',
    headers: {
      'Content-Type': 'application/json'
    },
    body: JSON.stringify({
      sessionId: 'my-session',
      jid: '5511999999999@s.whatsapp.net',
      messageId: '3EB0XXXXXX',
      star: true
    })
  });
  const data = await response.json();
  console.log(data);

  // Desfavoritar message
  const unstarResponse = await fetch('https://api.wappfy.com.br/api/star', {
    method: 'PUT',
    headers: {
      'Content-Type': 'application/json'
    },
    body: JSON.stringify({
      sessionId: 'my-session',
      jid: '5511999999999@s.whatsapp.net',
      messageId: '3EB0XXXXXX',
      star: false
    })
  });
  ```

  ```python Python theme={null}
  import requests

  # Star message
  response = requests.put(
      'https://api.wappfy.com.br/api/star',
      json={
          'sessionId': 'my-session',
          'jid': '5511999999999@s.whatsapp.net',
          'messageId': '3EB0XXXXXX',
          'star': True
      }
  )
  data = response.json()
  print(data)

  # Desfavoritar message
  unstar_response = requests.put(
      'https://api.wappfy.com.br/api/star',
      json={
          'sessionId': 'my-session',
          'jid': '5511999999999@s.whatsapp.net',
          'messageId': '3EB0XXXXXX',
          'star': False
      }
  )
  ```
</CodeGroup>


## OpenAPI

````yaml viewer-en.json put /api/star
openapi: 3.1.0
info:
  title: Wappfy - WhatsApp HTTP API
  version: '2.0'
  contact: {}
servers:
  - url: https://{host}
    description: Customizable Server
    variables:
      host:
        default: api.wappfy.com.br
        description: Server URL (e.g., api.wappfy.com.br or your-server.com)
security:
  - api_key: []
tags:
  - name: 🖥️ Sessions
    description: Control WhatsApp sessions (accounts)
  - name: 🔑 Auth
    description: Authentication
  - name: 🆔 Profile
    description: Your profile information
  - name: 🖼️ Screenshot
    description: Get WhatsApp screenshot and display QR code
  - name: 📤 Chatting
    description: Conversation methods
  - name: 📢 Channels
    description: Channels (newsletters) methods
  - name: 🟢 Status
    description: Status (aka stories) methods
  - name: 💬 Chats
    description: Conversations methods
  - name: 👤 Contacts
    description: |-
      Contacts methods.<br>
                      Use phone number (without +) or phone number and `@c.us` at the end as `contactId`.<br>
                      E.g: `12312312310` OR `12312312310@c.us`<br>
  - name: 👥 Groups
    description: Groups methods.<br>
  - name: ✅ Presence
    description: Presence information
  - name: 📅 Events
    description: Event Message
  - name: 🏷️ Labels
    description: Labels - available only for WhatsApp Business accounts
  - name: 🔍 Observability
    description: Other methods
  - name: 🗄️ Storage
    description: Storage methods
externalDocs:
  description: Wappfy - WhatsApp API
  url: https://docs.wappfy.com.br/
paths:
  /api/star:
    put:
      tags:
        - 📤 Chatting
      summary: Star or unstar a message
      operationId: ChattingController_setStar
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MessageStarRequest'
      responses:
        '200':
          description: ''
      security:
        - api_key: []
components:
  schemas:
    MessageStarRequest:
      type: object
      properties:
        messageId:
          type: string
          description: Message ID to be starred
          example: false_5511999999999@c.us_AAAAAAAAAAAAAAAAAAAA
        chatId:
          type: string
          description: Chat ID (WhatsApp JID)
          example: 5511999999999@c.us
        star:
          type: boolean
          description: true para favoritar, false para desfavoritar
        session:
          type: string
          example: my-session
          description: Session name (instanceName)
      required:
        - messageId
        - chatId
        - star
        - session
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: apikey
      description: Your Wappfy API key (get it at dash.wappfy.com.br)

````